import { AnyFunc, PureObject } from '../../types';
import { Ref } from 'vue';

export declare function getCreateReactiveCacheKey(...args: any[]): string;
export declare function createReactiveCache<T = any>(getPromiseData: AnyFunc<Promise<T>>, genKey?: AnyFunc<string>): readonly [Ref<PureObject<T>>, (...args: any[]) => Promise<T>, () => PureObject];
